/****
   globals.c:  The global variables for "interpolate"  
   Written by Toby Orloff
   orloff@poincare.geom.umn.edu
   July 10, 1990
****/

/*
 * Copyright (c) 1990, Geometry Supercomputer Project
 *                     University of Minnesota
 *                     1200 Washington Ave. S
 *                     Minneapolis, MN  55415
 *
 * email address: software@geom.umn.edu
 *
 * This software is copyrighted as noted above.  It may be freely copied,
 * modified, and redistributed, provided that the copyright notice is
 * preserved on all copies.
 *
 * There is no warranty or other guarantee of fitness for this software,
 * it is provided solely "as is".  Bug reports or fixes may be sent
 * to the authors, who may or may not act on them as they desire.
 *
 * You may not include this software in a program or other software product
 * without supplying the source, or without informing the end-user that the
 * source is available for no extra charge.
 *
 * If you modify this software, you should include a notice giving the
 * name of the person performing the modification, the date of modification,
 * and the reason for such modification.
 */

int type;   /* Ascii or binary ? */
int bytes;  /* Number of bytes per data item */
int style;   /* Style of interpolation */

int skip;        /* Number of lines to skip in ascii file */
                 /* Number of bytes to skip in binary file */

int chunk;      /* Max number of elements of data to read from files */
                      /* before processing */
int integer;      /* regard integers in ascii files as floats */

char suffix[40];     /* Suffix to add to out files */

int number;        /* Number of out files to write */

int num_in, num_out;        /* number of input and output times specified */
double *in_time,*out_time;  /* Timing sequences */

FileValueList in_fvl,out_fvl;
InterpolationAttributes attr;

